Bug 1281099 - PyGIWarning: xyz was imported without specifying a version first
PyGIWarning: xyz was imported without specifying a version first
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
24
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 22:59 EST by Luigi Cantoni
Modified: 2017-08-02 20:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 20:26:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Cantoni 2015-11-11 22:59:02 EST
Description of problem:
Various error messages now appear when
/usr/share/system-config-printer/system-config-printer.py
is invoked from the shell.
There was no problem with Fedora21

Version-Release number of selected component (if applicable):
No version displayed when --help used

How reproducible:
every time

Steps to Reproduce:
1. login to bash 
2. /usr/share/system-config-printer/system-config-printer.py

Actual results:
# /usr/share/system-config-printer/system-config-printer.py
/usr/share/system-config-printer/system-config-printer.py:31: PyGIWarning: Polkit was imported without specifying a version first. Use gi.require_version('Polkit', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import Polkit
/usr/share/system-config-printer/system-config-printer.py:35: PyGIWarning: GdkPixbuf was imported without specifying a version first. Use gi.require_version('GdkPixbuf', '2.0') before import to ensure that the right version gets loaded.
from gi.repository import GdkPixbuf
/usr/share/system-config-printer/system-config-printer.py:37: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gdk
/usr/share/system-config-printer/system-config-printer.py:38: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/share/system-config-printer/jobviewer.py:28: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
from gi.repository import Notify
/usr/share/system-config-printer/jobviewer.py:55: PyGIWarning: GnomeKeyring was imported without specifying a version first. Use gi.require_version('GnomeKeyring', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import GnomeKeyring

Expected results:
No error messages
Procedure does in fact still display the printer configuration window and appears to function.

Additional info:
procedure is working correctly in Fedora 21
Update was done from Fedora21->22->23
I cannot report in fedora 22 has the issue as I went updated without testing fedora 22 other than some simple boots and look OK.
Procedure appears OK from the application menu but since any error messages are not displayed I cannot immediately tell if they are happing or not.
Comment 2 Luigi Cantoni 2015-11-12 18:50:26 EST
Sorry Jiri,
I gather from what you have posted that it is a known problem and may even be fixed.
If so and in a future update it will be fixed then that is fine with me as it appears totally cosmetic in nature and not causing me any problem.
If I have to do something (like call the routine differently from the shell or invoke something first) then please let me know.
I am not a python person so I just let the shell/OS just do what it has to do.

If in fact it requires a fix to be done, again that's fine with me as long as a future update will fix it.
Comment 3 Jiri Popelka 2015-11-13 01:28:29 EST
Don't worry Luigi,
the warnings are harmless and will disappear with some update.
The comment is there mainly for me.
Comment 4 Mike McCune 2016-03-28 19:42:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fedora Admin XMLRPC Client 2016-06-24 06:41:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Arjen P. de Vries 2016-08-26 05:12:39 EDT
This bug has not been solved in FC24.

It is not just cosmetic; the result is I have to re-authenticate for every print command, because the keyring is not used.
Comment 7 Luigi Cantoni 2016-10-21 04:43:35 EDT
Problem is not fixed in FC25.
Still only cosmetic for me though.
Comment 8 Luigi Cantoni 2016-10-21 04:57:56 EDT
Opps sorry I am still FC24
Comment 9 Fedora End Of Life 2016-11-24 08:19:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Luigi Cantoni 2016-11-24 19:05:20 EST
Problem still exists in FC24 as reported above.
The problem is only cosmetic and does not affect functionality.
Comment 11 Fedora End Of Life 2017-07-25 15:28:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Luigi Cantoni 2017-07-25 20:10:54 EDT
A fresh install of F26 does not have the problem.
I will test an upgrade to F26 in the next week and hopefully can close it.
Again I am going from F24->F25->F26 without really using F25.
Comment 13 Luigi Cantoni 2017-08-02 20:26:27 EDT
An upgrade to F26 also has the debug statements gone.

All appears to be 100%.

I am very happy all fixed.

Note You need to log in before you can comment on or make changes to this bug.